ServiceContext (The Data Transfer Scheduler Service 2.0.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.impl.context
Class ServiceContext

    java.lang.Object
      org.gcube.common.core.contexts.GCUBEContext
          org.gcube.common.core.contexts.GCUBEServiceContext
              org.gcube.datatransfer.scheduler.impl.context.ServiceContext

All Implemented Interfaces:
  org.gcube.common.core.scope.GCUBEScopeManager, org.gcube.common.core.security.GCUBESecurityManager, org.gcube.common.core.security.GCUBEServiceSecurityManager

    public class ServiceContext

extends org.gcube.common.core.contexts.GCUBEServiceContext

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.core.contexts.GCUBEServiceContext
`org.gcube.common.core.contexts.GCUBEServiceContext.IllegalStateTransitionException, org.gcube.common.core.contexts.GCUBEServiceContext.RILifetimeEvent, org.gcube.common.core.contexts.GCUBEServiceContext.RILifetimeTopic, org.gcube.common.core.contexts.GCUBEServiceContext.ServiceSecurityStatus, org.gcube.common.core.contexts.GCUBEServiceContext.Stager, org.gcube.common.core.contexts.GCUBEServiceContext.StateTransitionException, org.gcube.common.core.contexts.GCUBEServiceContext.Status`

Nested classes/interfaces inherited from interface org.gcube.common.core.security.GCUBEServiceSecurityManager
`org.gcube.common.core.security.GCUBEServiceSecurityManager.LifetimeConsumer, org.gcube.common.core.security.GCUBEServiceSecurityManager.LifetimeEvent, org.gcube.common.core.security.GCUBEServiceSecurityManager.LifetimeTopic`

Nested classes/interfaces inherited from interface org.gcube.common.core.security.GCUBESecurityManager
`org.gcube.common.core.security.GCUBESecurityManager.AuthMethod, org.gcube.common.core.security.GCUBESecurityManager.AuthMode, org.gcube.common.core.security.GCUBESecurityManager.DelegationMode`

Nested classes/interfaces inherited from interface org.gcube.common.core.scope.GCUBEScopeManager
`org.gcube.common.core.scope.GCUBEScopeManager.IllegalScopeException`

Field Summary

Fields inherited from class org.gcube.common.core.contexts.GCUBEServiceContext
`AUTHENTICATION_MANAGER_JNDI_NAME, AUTHORISATION_MANAGER_JNDI_NAME, CONFIG_DIR_JNDI_NAME, LISTENER_UPDATE_INTERVAL, LTEventProducer, PERSISTENCE_MANAGER_JNDI_NAME, PLUGIN_MANAGER_JNDI_NAME, PROFILE_FILE_NAME, PROPAGATE_CALLER_CREDENTIALS_JNDI_NAME, PUBLISHED_HOST_JNDI_NAME, PUBLISHED_PORT_JNDI_NAME, RIPROFILE_FILENAME, SECURITY_MANAGER_JNDI_NAME, START_SCOPES_JNDI_NAME`

Fields inherited from class org.gcube.common.core.contexts.GCUBEContext
`logger, timers`

Fields inherited from interface org.gcube.common.core.scope.GCUBEScopeManager
`CLASS_HEADER_NAME, DEFAULT, NAME_HEADER_NAME, SCOPE_HEADER_NAME, SCOPE_NS`

Method Summary
`static ServiceContext` | `getContext()` Returns cached instance
`String` | `getDbConfigurationFileName()`
`org.gcube.datatransfer.scheduler.db.DataTransferDBManager` | `getDbManager()`
`org.gcube.datatransfer.scheduler.is.ISManager` | `getIsManagerForAgents()`
`org.gcube.datatransfer.scheduler.is.ISManager` | `getIsManagerForSources()`
`org.gcube.datatransfer.scheduler.is.ISManager` | `getIsManagerForStorages()`
`protected String` | `getJNDIName()`
`long` | `getMaxTimeToSetInactiveAnOngoingTransferInMS()`
`org.gcube.datatransfer.common.messaging.MSGClient` | `getMsgClient()`
`boolean` | `isMessagingEnabled()`
`protected void` | `onInitialisation()`
`void` | `setDbConfigurationFileName(String dbConfigurationFileName)`
`void` | `setDbManager(org.gcube.datatransfer.scheduler.db.DataTransferDBManager dbManager)`
`void` | `setIsManagerForAgents(org.gcube.datatransfer.scheduler.is.ISManager isManagerForAgents)`
`void` | `setIsManagerForSources(org.gcube.datatransfer.scheduler.is.ISManager isManagerForSources)`
`void` | `setIsManagerForStorages(org.gcube.datatransfer.scheduler.is.ISManager isManagerForStorages)`
`void` | `setMaxTimeToSetInactiveAnOngoingTransferInMS(long maxTimeToSetInactiveAnOngoingTransferInMS)`
`void` | `setMessagingEnabled(boolean messagingEnabled)`
`void` | `setMsgClient(org.gcube.datatransfer.common.messaging.MSGClient msgClient)`

Methods inherited from class org.gcube.common.core.contexts.GCUBEServiceContext
`addScope, getAuthenticationManager, getAuthorizationManager, getCallerCredentials, getCredentials, getDefaultException, getDefaultException, getFile, getID, getInstance, getLogger, getManagementBean, getName, getPersistenceRoot, getPersistentFile, getPluginManager, getPolicy, getProperty, getScope, getScopeManager, getSecurityManager, getService, getServiceClass, getServiceCredentials, getServiceSecurityStatus, getStartScopes, getStatus, initialise, isSecurityEnabled, needServiceCredentials, notifyStateChange, onFailure, onReady, onShutdown, onStateChange, onUpdate, prepareCall, propagateCallerCredentials, removeScope, setAuthMethod, setScope, setScope, setScope, setSecurity, setStatus, subscribe, subscribeLifetTime, unsubscribe, unsubscribeLifetTime, useCallerCredentials, useCredentials, useCredentials, useCredentials, useServiceCredentials`

Methods inherited from class org.gcube.common.core.contexts.GCUBEContext
`debugContext, getJNDIContext, getResource, getTiming, printContext, resetTimer, setJNDIContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### onInitialisation

    protected void onInitialisation()
                             throws Exception

  Overrides:
    `onInitialisation` in class `org.gcube.common.core.contexts.GCUBEServiceContext`
  Throws:
    `Exception`

### getContext

    public static ServiceContext getContext()

  Returns cached instance

### getJNDIName

    protected String getJNDIName()

  Specified by:
    `getJNDIName` in class `org.gcube.common.core.contexts.GCUBEServiceContext`

### getDbManager

    public org.gcube.datatransfer.scheduler.db.DataTransferDBManager getDbManager()

### setDbManager

    public void setDbManager(org.gcube.datatransfer.scheduler.db.DataTransferDBManager dbManager)

### getIsManagerForAgents

    public org.gcube.datatransfer.scheduler.is.ISManager getIsManagerForAgents()

### setIsManagerForAgents

    public void setIsManagerForAgents(org.gcube.datatransfer.scheduler.is.ISManager isManagerForAgents)

### getIsManagerForSources

    public org.gcube.datatransfer.scheduler.is.ISManager getIsManagerForSources()

### setIsManagerForSources

    public void setIsManagerForSources(org.gcube.datatransfer.scheduler.is.ISManager isManagerForSources)

### getIsManagerForStorages

    public org.gcube.datatransfer.scheduler.is.ISManager getIsManagerForStorages()

### setIsManagerForStorages

    public void setIsManagerForStorages(org.gcube.datatransfer.scheduler.is.ISManager isManagerForStorages)

### getDbConfigurationFileName

    public String getDbConfigurationFileName()

### setDbConfigurationFileName

    public void setDbConfigurationFileName(String dbConfigurationFileName)

### isMessagingEnabled

    public boolean isMessagingEnabled()

### getMsgClient

    public org.gcube.datatransfer.common.messaging.MSGClient getMsgClient()

### setMessagingEnabled

    public void setMessagingEnabled(boolean messagingEnabled)

### setMsgClient

    public void setMsgClient(org.gcube.datatransfer.common.messaging.MSGClient msgClient)

### getMaxTimeToSetInactiveAnOngoingTransferInMS

    public long getMaxTimeToSetInactiveAnOngoingTransferInMS()

### setMaxTimeToSetInactiveAnOngoingTransferInMS

    public void setMaxTimeToSetInactiveAnOngoingTransferInMS(long maxTimeToSetInactiveAnOngoingTransferInMS)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.